> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/acne.md).

# Acne Result Scheme

Haut.AI provides an AI algorithm that estimates acne-like spots for different facial areas and the whole face.

## **Description**

{% content-ref url="/pages/hovEMHz4QNGyzJrnb5mb" %}
[Acne Algorithm](/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/acne-algorithm.md)
{% endcontent-ref %}

## `algorithm_tech_name`

`acne`

## `area_name`

The algorithm returns metrics and sub-metrics for the following facial areas:

* `face`
* `nose_bridge`
* `right_cheek_large`
* `left_cheek_large`
* `forehead_n_bridge`
* `chin_wide`

## `main_metric`

The main metric is an overall score indicating acne spots for each `area_name`

```javascript
"main_metric": {
                "value": 100,
                "widget_type": "bad_good_line",
                "name": "Acne score",
                "tech_name": "acne_score",
                "widget_meta": null
            },
```

* **`value`** the acne score ranges from `[0,100]`*The higher the value of this parameter, the fewer acne spots and pimples you have.*
* The score can be classified into six classes based on `value`:
  * `(90,100]` - Excellent
  * `(80,90]` - Great
  * `(70,80]` - Good
  * `(50,70]` - Average
  * `(30, 50]` - Poor
  * `[0,30]` - Bad
* `"widget_type": "bad_good_line"` indicates that a higher value is better
* `"name": "Acne score"`
* `"tech_name": "acne_score"`

## `sub_metrics`

The algorithm returns sub-metrics for each `area_name`

```javascript
"sub_metrics": [
                {
                    "value": 0,
                    "widget_type": "numeric",
                    "name": "Number of acne regions",
                    "tech_name": "number_of_regions",
                    "widget_meta": null
                },
                {
                    "value": 0,
                    "widget_type": "density",
                    "name": "Acne regions density score",
                    "tech_name": "density_score",
                    "widget_meta": null
                },
                {
                    "value": 0,
                    "widget_type": "density",
                    "name": "Average intensity of acne regions",
                    "tech_name": "average_intensity_score",
                    "widget_meta": null
                }
            ]
```

* **`Number of acne regions`** estimates the number of detected acne spots
  * **`value`** the detected number of spots
  * `"widget_type": "numeric"`
  * `"name": "Number of acne regions"`
  * `"tech_name": "number_of_regions"`
* **`Acne regions density score`** estimates the density of spots
  * **`value`** the density of acne spots
  * `"widget_type": "density"`
  * `"name": "Acne regions density score"`
  * `"tech_name": "density_score"`
* **`Average intensity of acne regions`** estimates the intensity of acne spots
  * **`value`** *the higher the value of this parameter, the more severe the spots*
  * `"widget_type": "density"`
  * `"name": "Average intensity of acne regions"`
  * `"tech_name": "average_intensity_score"`

## `masks_restored`

The algorithm returns a vectorized mask of acne regions for a face-aligned image

* `"mask_type": "polygon_mask"`
* `features`

  * geometry
    * `"type": "MultiPoint"`

  See more on Masks [here](/haut.ai/haut.ai-features/algorithms/algorithm-results.md#masks)

## `masks_original`

The algorithm returns a vectorized mask of acne regions for an original image

* `"mask_type": "polygon_mask"`
* `features`

  * geometry
    * `"type": "MultiPoint"`

  See more on Masks [here](/haut.ai/haut.ai-features/algorithms/algorithm-results.md#masks)

## **Example (JSON)**

{% file src="/files/-MYE9vEdksf6rTswt\_vM" %}
acne.json
{% endfile %}

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/acne.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
